DESCRIPTION = "Base tasks for a SOM image."
LICENSE = "MIT"
PR = "r0"

inherit packagegroup

PACKAGE_ARCH = "${MACHINE_ARCH}"

CL_UTIL_BASE = "\
    ltrace \
    strace \
"

CL_UTIL_CANBUS = "\
    canutils \
"

CL_UTIL_EXT2 = "\
    e2fsprogs \
    e2fsprogs-badblocks \
    e2fsprogs-e2fsck \
    e2fsprogs-mke2fs \
    e2fsprogs-tune2fs \
"

CL_UTIL_FLASH = "\
    mtd-utils \
    mtd-utils-ubifs \
"

CL_UTIL_I2C = "\
    i2c-tools \
"

CL_UTIL_NET = "\
    ethtool \
    nfs-utils \
    nfs-utils-client \
    rpcbind \
"

CL_UTIL_RS485 = "\
    rs-485 \
"

RDEPENDS_${PN} = "\
    ${CL_UTIL_BASE} \
    ${@base_contains('MACHINE_FEATURES', 'canbus', '${CL_UTIL_CANBUS}', '',d)} \
    ${@base_contains('MACHINE_FEATURES', 'ethernet', '${CL_UTIL_NET}', '',d)} \
    ${@base_contains('MACHINE_FEATURES', 'ext2', '${CL_UTIL_EXT2}', '',d)} \
    ${@base_contains('MACHINE_FEATURES', 'flash', '${CL_UTIL_FLASH}', '',d)} \
    ${@base_contains('MACHINE_FEATURES', 'i2c', '${CL_UTIL_I2C}', '',d)} \
    ${@base_contains('MACHINE_FEATURES', 'rs485', '${CL_UTIL_RS485}', '',d)} \
"
