DESCRIPTION = "TI DSPLINK built for MityDSP-L138 SOMS"
LICENSE = "GPLv2"
LIC_FILES_CHKSUM = "file://doc/gpl_2.0.pdf;md5=70996be607b61df78ce46093f4afe2bd"

inherit module

SRCREV = "${AUTOREV}"
CL_SOURCE_REPO = "mitydsp-l138-dsplink.git"
BRANCH = "master"

SRC_URI = "${CL_SOURCE_GIT_HOST}${CL_SOURCE_GIT_PATH}${CL_SOURCE_REPO};protocol=git;branch=${BRANCH};destsuffix=${S}"
DEPENDS += "virtual/kernel"

S = "${WORKDIR}/dsplink"
export DSPLINK="${WORKDIR}/dsplink"

PACKAGE_STRIP = "no"

MAKE_TARGETS = " "

do_compile() {
	unset CFLAGS CPPFLAGS CXXFLAGS LDFLAGS

	# Build the gpp user space library
	cd ${DSPLINK}/gpp/src/api && make \
		CROSS_COMPILE="${TARGET_PREFIX}" \
		CC="${TOOLCHAIN_PATH}/${TARGET_PREFIX}gcc" \
		AR="${TOOLCHAIN_PATH}/${TARGET_PREFIX}ar" \
		LD="${TOOLCHAIN_PATH}/${TARGET_PREFIX}ld" \
		COMPILER="${TOOLCHAIN_PATH}/${TARGET_PREFIX}gcc" \
		ARCHIVER="${TOOLCHAIN_PATH}/${TARGET_PREFIX}ar" \
		KERNEL_DIR="${STAGING_KERNEL_DIR}" \
		all

	# Build the gpp kernel space (debug and release)
	do_make_scripts
	cd ${DSPLINK}/gpp/src && make \
		OBJDUMP="${TARGET_PREFIX}objdump" \
		CROSS_COMPILE="${TARGET_PREFIX}" \
		CC="${TOOLCHAIN_PATH}/${TARGET_PREFIX}gcc" \
		AR="${TOOLCHAIN_PATH}/${TARGET_PREFIX}ar" \
		LD="${TOOLCHAIN_PATH}/${TARGET_PREFIX}ld" \
		COMPILER="${TOOLCHAIN_PATH}/${TARGET_PREFIX}gcc" \
		ARCHIVER="${TOOLCHAIN_PATH}/${TARGET_PREFIX}ar" \
		KERNEL_DIR="${STAGING_KERNEL_DIR}" \
		BASE_BUILDOS="${STAGING_KERNEL_DIR}" \
		all

}

do_install() {
	install -m 0755 -d ${D}/lib/modules/${KERNEL_VERSION}/kernel/drivers/dsp
	install -m 0755 ${S}/gpp/export/BIN/Linux/OMAPL138/RELEASE/dsplinkk.ko ${D}/lib/modules/${KERNEL_VERSION}/kernel/drivers/dsp
}

